Communication _search

post/Communication/_search
Page View

This resource contains messages, notifications, and alerts sent to patients or other parties. Each communication entry contains the content, sender, recipient, status, and date information.

You can review or retrieve communications with FHIR® passthrough.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

_search

Query for communications sent to a patient or contact.

Flexible FHIR queries, different query parameters

FHIR® queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a searchset bundle type. Learn about bundles and bundle types in our FHIR® glossary.

We only note which query parameters are required if you’re querying a FHIR® server directly. Remember that Redox (i.e., data on demand) isn’t a FHIR® server, and your connection may not be either.

Query parameters will vary between sites. Work with your connection to find out which query parameters they require for a successful search.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Communication/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=string' \
6
--data-urlencode 'patient.identifier=string' \
7
--data-urlencode 'identifier=string' \
8
--data-urlencode 'category=string' \
9
--data-urlencode 'status=string' \
10
--data-urlencode 'encounter=string' \
11
--data-urlencode 'encounter.identifier=string' \
12
--data-urlencode 'received=string'

Request Body Schema

  • patient
    Array of string

    Focus of message (the patient).

  • patient.identifier
    Array of string

    One or more external identifiers for the patient

  • identifier
    Array of string

    Unique identifier

  • category
    Array of string

    Message category

  • status
    Array of string

    preparation | in-progress | not-done | on-hold | stopped | completed | entered-in-error | unknown

  • encounter
    Array of string

    Encounter created as part of

  • encounter.identifier
    Array of string

    Identifier(s) by which this encounter is known

  • received
    Array of string

    When received

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "Bundle",
3
"type": "searchset",
4
"total": 1,
5
"entry": [
6
{
7
"resource": {
8
"resourceType": "Communication",
9
"id": "RedoxCommunicationExample",
10
"status": "completed",
11
"category": [
12
{
13
"coding": [
14
{
15
"code": "instruction",
16
"system": "http://terminology.hl7.org/CodeSystem/communication-category"
17
}
18
],
19
"text": "instruction"
20
}
21
],
22
"subject": {
23
"reference": "Patient/RedoxPatientExampleTimothy"
24
},
25
"topic": {
26
"coding": [
27
{
28
"code": "311401005",
29
"system": "http://snomed.info/sct"
30
}
31
],
32
"text": "Patient Education"
33
},
34
"encounter": {
35
"reference": "Encounter/RedoxEncounterExample"
36
},
37
"recipient": [
38
{
39
"reference": "Patient/RedoxPatientExampleTimothy"
40
}
41
],
42
"sender": {
43
"reference": "Practitioner/RedoxPractitionerExamplePat"
44
},
45
"payload": [
46
{
47
"contentAttachment": {
48
"data": "PGRpdiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94aHRtbCI+UGxlYXNlIGNhcmVmdWxseSBmb2xsb3cgdGhlIHN1YnNlcXVlbnQgaW5zdHJ1Y3Rpb25zIGFuZCBwYXRpZW50IGVkdWNhdGlvbjo8YnI+PC9icj48YnI+PC9icj48dWw+PGxpPkZsb3NzPC9saT48bGk+QnJ1c2ggdGVldGggdHdpY2UgZGFpbHk8L2xpPjwvdWw+PGJyPjwvYnI+PGJyPjwvYnI+U2NhcmYgdHlpbmcgaW5zdHJ1Y3Rpb25zIG1heSBiZSBmb3VuZCBvbmxpbmUuPC9kaXY+Cg==",
49
"contentType": "application/xhtml+xml",
50
"creation": "2021-12-17T20:33:22.422Z"
51
}
52
}
53
]
54
},
55
"search": {
56
"mode": "match"
57
}
58
}
59
]
60
}

    Response to a Communication search operation

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a response to a search

    Value: searchset
  • total
    required, number

    The total number of matches

  • entry
    Array of Communication or Other

    A resource matching the search criteria or related to a matching resource

    • resource
      required, object

      A clinical or administrative communication regarding a patient.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: Communication
      • status
        required, string

        The status of the transmission.

        Possible Values: preparation, in-progress, not-done, on-hold, stopped, completed, entered-in-error, unknown
      • id
        string

        The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

      • identifier
        Array of object

        Business identifiers assigned to this communication by the performer or other systems which remain constant as the resource is updated and propagates from server to server.

        • extension
          Array of Boolean, String, CodeableConcept, Coding

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • url
            required, string

            Source of the definition for the extension code - a logical name or a URL.

          • valueBoolean
            boolean

            A single value for the extension.

        • use
          string

          The purpose of this identifier.

          Possible Values: usual, official, temp, secondary, old (If known)
        • system
          string

          Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

        • value
          string

          The portion of the identifier typically relevant to the user and which is unique within the context of the system.

      • category
        Array of object

        The type of message conveyed such as alert, notification, reminder, instruction, etc.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • subject
        object

        The patient or group that was the focus of this communication.

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • topic
        object

        Description of the purpose/content, similar to a subject line in an email.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • encounter
        object

        The Encounter during which this Communication was created or to which the creation of this record is tightly associated.

        Must be a resource of type Encounter.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • sent
        string

        The time when this communication was sent.

      • received
        string

        The time when this communication arrived at the destination.

      • recipient
        Array of object

        The entity (e.g. person, organization, clinical information system, care team or device) which was the target of the communication. If receipts need to be tracked by an individual, a separate resource instance will need to be created for each recipient. Multiple recipient communications are intended where either receipts are not tracked (e.g. a mass mail-out) or a receipt is captured in aggregate (all emails confirmed received by a particular time).

        Must reference one of the following types of resources:

        • Device
        • Organization
        • Patient
        • Practitioner
        • PractitionerRole
        • RelatedPerson
        • Group
        • CareTeam
        • HealthcareService
        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • sender
        object

        The entity (e.g. person, organization, clinical information system, or device) which was the source of the communication.

        Must reference one of the following types of resources:

        • Device
        • Organization
        • Patient
        • Practitioner
        • PractitionerRole
        • RelatedPerson
        • HealthcareService
        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • payload
        Array of object

        Text, attachment(s), or resource(s) that was communicated to the recipient.

        • contentString
          required, string

          A communicated content (or for multi-part communications, one portion of the communication).

          Only one of contentString, contentAttachment may be present.

        • contentAttachment
          required, object

          A communicated content (or for multi-part communications, one portion of the communication).

          Only one of contentString, contentAttachment may be present.

          • contentType
            string

            Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate.

          • data
            string

            The actual data of the attachment - a sequence of bytes, base64 encoded.

          • creation
            string

            The date that the attachment was first created.

    • search
      required, object

      Information about the search process that lead to the creation of this entry.

      • mode
        required, string

        Identifies the Communication as matching the search parameters

        Value: match

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.